
%define	pkgname Kolab-LDAP-Backend-dirservd
%define snap 20050801

Summary:	Kolab::LDAP::Backend::dirservd module for use with Kolab
Name:		perl-%{pkgname}
Version:	0.9.3
Release:	%mkrel 0.%{snap}.3
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://kolab.kde.org
Source0:	%{pkgname}-%{version}-%{snap}.tar.bz2
BuildArch:	noarch
BuildRequires:	perl-devel
#BuildRequires:	perl-ldap
#BuildRequires:	perl-Kolab
#BuildRequires:	perl-Kolab-LDAP-Backend
#BuildRequires:	perl-Kolab-Util
#BuildRequires:	perl-Cyrus
#BuildRequires:	perl-Kolab-Mailer
#BuildRequires:	perl-Mail-IMAPClient
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Kolab::LDAP::Backend::dirservd module for use with Kolab.

%prep

%setup -q -n %{pkgname}-%{version}-%{snap}

# fix attribs
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;
	
# cleanup
for i in `find . -type d -name CVS`  `find . -type d -name .svn` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# fix config file location
perl -pi -e "s|^require \"config\.h\"\;|require \"%{_sysconfdir}/kolab/config\.h\"\;|g" *.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

#

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/Kolab/LDAP/Backend/*

%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

